//
//	Copyright (c) 2001 General Electric Company
//
//	Version control:
//		$Archive: /releases/FreeViewer_2.0/src/WebViewer/FreeViewer/HTML/aboutdlg.js $
//		$Revision: 9 $
//		$Date: 3/04/03 11:23a $
//		$Author: Marceld $
//
//	Helper comment to enable syntax coloring in InterDev: <script>


//
// onload
//
// Purpose: Initialise the 'aboutdialog'.
//
function window.onload()
{
	var settings = window.dialogArguments;

	if (settings == null)
		return;

	aProvidedBy.href      = settings.config.ProvidedByUrl();
	aProvidedBy.innerText = settings.config.ProvidedByText();

	if (aProvidedBy.innerText != '')
	{
		divProvidedBy.style.visibility = 'inherit';
	}

	imgOemLogo.src = "images/" + settings.config.ProvidedByPicture();

	spanAppName.innerText      = settings.GetConfigurationItem('APP_NAME');
	spanAppVersion.innerText   = settings.GetConfigurationItem('APP_VERSION');
	spanAppCopyright.innerText = settings.GetConfigurationItem('APP_COPYRIGHT');
	spanProvidedBy.innerText   = settings.GetLocaleString('dlgAbout.msgProvidedBy.text');
	btnOk.innerText            = settings.GetLocaleString('dlgAbout.btnOK.caption');
}


